Bug 446450 - uncaught exception
uncaught exception
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 12:51 EDT by Dennis Gilmore
Modified: 2008-12-21 03:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-05-14 12:51:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gilmore 2008-05-14 12:52:12 EDT
sorry hit enter too soon
[root@xen1 ~]# virsh list --all
 Id Name                 State
----------------------------------
  0 Domain-0             running
libvir: Xen Daemon error : GET operation failed:
  2 xenguest2            blocked

[root@xen1 ~]#

[root@xen1 ~]# virt-install -n noc1 -b --os-type=linux --os-variant=rhel5 -f
/var/lib/xen/images/noc1 -s 4 -r 512 --nographics -l
http://mirrors.rit.edu/centos/5.1/os/x86_64/ --debug
libvir: Xen Daemon error : GET operation failed:
Wed, 14 May 2008 12:40:36 WARNING  Failed to lookup domain id 1


Starting install...
libvir: Xen Daemon error : GET operation failed:
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//.treeinfo
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file .treeinfo
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//fedora.css
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file fedora.css
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//Fedora
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file Fedora
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//Server
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file Server
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//Client
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file Client
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//RedHat
Wed, 14 May 2008 12:40:37 DEBUG    Cannot find file RedHat
Wed, 14 May 2008 12:40:37 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//CentOS
Retrieving file CentOS...                                       488 kB 00:00
Wed, 14 May 2008 12:40:39 DEBUG    Saved file to /var/lib/xen/virtinst-CentOS.Q4tRTq
Retrieving file CentOS...                                       587 kB 00:01
Wed, 14 May 2008 12:40:39 DEBUG    Detected a CentOS distro
Wed, 14 May 2008 12:40:39 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//images/xen/vmlinuz
Retrieving file vmlinuz..  90% |======================   | 1.7 MB    00:00 ETA
Wed, 14 May 2008 12:40:40 DEBUG    Saved file to
/var/lib/xen/virtinst-vmlinuz.UfEvwd
Retrieving file vmlinuz.. 100% |=========================| 1.8 MB    00:01
Wed, 14 May 2008 12:40:40 DEBUG    Fetching URI
http://mirrors.rit.edu/centos/5.1/os/x86_64//images/xen/initrd.img
Retrieving file initrd.im  92% |=======================  | 4.9 MB    00:00 ETA
Wed, 14 May 2008 12:40:43 DEBUG    Saved file to
/var/lib/xen/virtinst-initrd.img.MhAHnu
Retrieving file initrd.im 100% |=========================| 5.2 MB    00:02
libvir: Xen Daemon error : GET operation failed:
libvir: Xen Daemon error : GET operation failed:
Wed, 14 May 2008 12:40:43 DEBUG    Removing /var/lib/xen/virtinst-vmlinuz.UfEvwd
Wed, 14 May 2008 12:40:43 DEBUG    Removing /var/lib/xen/virtinst-initrd.img.MhAHnu
virDomainLookupByID() failed GET operation failed:
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start noc1'; otherwise, please
 restart your installation.
Wed, 14 May 2008 12:40:43 ERROR    virDomainLookupByID() failed GET operation
failed:
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 502, in <module>
    main()
  File "/usr/sbin/virt-install", line 462, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 813, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 829, in
_do_install
    self._create_devices(meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 727, in
_create_devices
    nic.setup(self.conn)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 281, in setup
    vm = conn.lookupByID(id)
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 928, in lookupByID
    if ret is None:raise libvirtError('virDomainLookupByID() failed', conn=self)
libvirtError: virDomainLookupByID() failed GET operation failed:
[root@xen1 ~]#


Comment 2 Bug Zapper 2008-11-26 05:42:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2008-11-26 10:51:26 EST
This won't be fixed for F8, so moving to F9. This will be pulled in with the next update:

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=6d9b578399a1
Comment 4 Fedora Update System 2008-12-01 13:10:32 EST
virt-manager-0.6.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-0.fc9
Comment 5 Fedora Update System 2008-12-01 13:23:03 EST
virt-manager-0.6.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-1.fc9
Comment 6 Fedora Update System 2008-12-02 20:29:53 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10705
Comment 7 Fedora Update System 2008-12-21 03:26:58 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.